Skip to main content
GET
Fetch all alerts

Authorizations

apiKey
string
header
required

API key issued by FrankieOne. This will rotate regularly.

Headers

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

Query Parameters

entityId
string[]

Unique identifier of a FrankieOne entity

The unique identifier for a FrankieOne entity construct

isActive
boolean

A boolean value to whether we want to only fetch the alerts that have not been resolved

types
enum<string>[]

comma delimited list of EnumRiskResultType

Enum of risk assessment groupings, such as customer, device, transaction, AML, PEP as determined by the risk checking service

Available options:
DEVICE,
TRANSACTION,
AML,
FRAUD
subtypes
string[]

comma delimited list of strings representing the Subtypes

riskLevels
enum<string>[]

comma delimited list of strings representing the risk levels

Level of risk as determined by the service.

Available options:
NONE,
LOW,
MEDIUM,
HIGH,
VERY_HIGH
assignedTo
string

User identifier that will filter based on which alerts are assigned to

activityType
enum<string>[]

comma delimited list of EnumActivityType

Type of the activity that was used for the check

Available options:
REGISTRATION,
LOGIN,
FIAT_WITHDRAWAL,
FIAT_DEPOSIT,
CRYPTO_WITHDRAWAL,
CRYPTO_DEPOSIT
offset
integer
default:0

Number of items to offset by

limit
integer
default:20

Limit to the Number of Results to return in the response payload

order
enum<string>

The order in which the records will be sorted in before returning in the response payload

Available options:
asc,
desc
sortField
enum<string>

Field that the alerts will be sorted upon

Available options:
createdDate,
lastUpdated

Response

Response from the GET /alerts endpoint

data
object[]
required

List of Transaction Check Alerts found from the query

meta
object
required